Skip to main content

Book Appointment API:

Description: Schedules or reschedules appointment based delivery.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_book_appointment
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl


curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/b2b/orders/b2b_ext_book_appointment'
--header 'rapidshyp-token: <API_KEY>'
--header 'Content-Type: application/json'
--data '{
"shipment_id": "1111111",
"abd_date": "01-03-2026",
"start_time": "16-00",
"end_time": "17-00"
}'

Request Parameters:


ParameterRequiredRemarkValidation
shipment_idYesShipment IDValid shipment
abd_dateYesAppointment dateDD-MM-YYYY
start_timeYesStart timeHH-MM
end_timeYesEnd timeHH-MM

Response:

JSON

{
"status": "SUCCESS",
"remark": "Appointment rescheduled successfully."
}